## u-boot 2021.07+dfsg

=== debian/changelog ===
u-boot (2021.07+dfsg-0ubuntu8) impish; urgency=medium

  * Add missing trailing \n to arch/arm/mach-stm32mp/cmd_stm32prog/Kconfig.
    Fixes a rare (but reliable) FTBFS from check-config.sh. In the original
    case on LP armhf, mach-imx/Kconfig sorted immediately after
    cmd_stm32prog/Kconfig, causing lines to run together and the sed to not
    match the "config HAS_CAAM" line, causing the dh_imx6 defconfig to appear
    invalid.

 -- William Grant <wgrant@ubuntu.com>  Wed, 13 Oct 2021 20:05:23 +1100

u-boot (2021.07+dfsg-0ubuntu7) impish; urgency=medium

  * Fix Unleashed name typo that resulted in an unbootable image due to
    missing OpenSBI (LP: #1946913).

 -- William Grant <wgrant@ubuntu.com>  Wed, 13 Oct 2021 14:59:55 +1100

u-boot (2021.07+dfsg-0ubuntu6) impish; urgency=medium

  * Build against opensbi with reboot support on Unmatched
  * In postinst support Unmatched model name without A00 suffix, as used
    by meta-sifive kernels and may be contributed upstream in the future.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Wed, 25 Aug 2021 17:22:24 +0100

u-boot (2021.07+dfsg-0ubuntu4) impish; urgency=medium

  * sifive boards: re-enable back USE_PREBOOT< it used to be there in
    2021.01 releases, and I suspect it affects unleashed bootability.
  * control: add crust-firmware build-dep, it is now available in the
    archive.
  * Remove unreferenced fe01f41d57b79d9ca94604503a25e55175744d42.patch,
    included as riscv64/0013-riscv-sifive-Set-default-fdtfile-names.patch.
  * Skip removed/incorrect 0ubuntu3 upload.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Wed, 04 Aug 2021 11:18:25 +0100

u-boot (2021.07+dfsg-0ubuntu2) impish; urgency=medium

  * Import meta-sifive patch series.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Fri, 23 Jul 2021 17:14:09 +0100

u-boot (2021.07+dfsg-0ubuntu1) impish; urgency=medium

  * New upstream release.
    - Drop 75efe7dc996ddb9835590b1a8970f19b5c4b1ade.patch included upstream.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Fri, 23 Jul 2021 12:45:26 +0100

u-boot (2021.07~rc4+dfsg-1ubuntu2) impish; urgency=medium

  * Cherrypick patch from Heinrich Schuchardt (xypron) to fix failure to
    boot on Unmatched. LP: #1937246

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Thu, 22 Jul 2021 12:33:49 +0100

u-boot (2021.07~rc4+dfsg-1ubuntu1) impish; urgency=medium

  * Merge from Debian Experimental, remaining changes:
    - Implement u-boot-sifive.postinst to upgrade u-boot in
    loader1/loader2 partitions upon package upgrades. LP: #1936370 Maybe
    this should move to flash-kernel, and update SPI too.
    - Revert '* debian/rules: Ensure debugging symbols are enabled.' as it
    breaks riscv64 booting.
    - d/p/rpi-config-tweaks.patch: Configuration adjustments to the RPi
      configs
    - Enable FIT signing support
      - Limit key names to keys within the keydir.
    - Enable Ubuntu support for the Nitrogen6x board
      - Add d/p/ubuntu-nitrogen6q2g-config-tweaks.patch to tweak the
        nitrogen6q2g configs to better fit our Ubuntu usage.
      - Start building the nitrogen6x2g target for u-boot.
    - d/p/rpi-board-dt.patch: use the board's device-tree instead of an
      embedded one
    - Add d/p/rpi-cm4-sdhci.patch for CM4 eMMC support
    - Add d/p/rpi-8gb-pci.patch for Pi400 and Pi4-8Gb support
    - Add d/p/rpi-maxargs.patch for new Core 18 boot-env
  * Cherrypick upstream patches to:
    - fix cmd_sysconfig in qemu
    - set default fdtfile names for sifive boards
  * Provide compat symlinks for old unleashed & unmatched platform names
  * Drop unleashed hunk from
    riscv64/qemu-riscv64_smode-sifive-fu540-fix-extlinux-define-.patch, as
    the same preboot is specified in unleashed board include.
  * Drop crust-firmware build-dep, until it is available in Ubuntu,
    currently in impish NEW queue.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 20 Jul 2021 12:30:01 +0100

u-boot (2021.07~rc4+dfsg-1) experimental; urgency=medium

  [ Nicolas Boulenguez ]
  * Write only once that rockchip depends on rockchip_make_fit_atf
    (Closes: #985908)
  * Refactor pkg.uboot.subarch and pkg.uboot.platform build profiles
    (Closes: #985911)

  [ Vagrant Cascadian ]
  * debian/control: Make Build-Depends on libssl-dev only when building
    tools.
  * Update for rename of sifive_fu540 to sifive_unleashed
  * u-boot-sifive: Update documentation for rename of fu540 to unleashed.

  [ Nicolas Boulenguez ]
  * u-boot-sunxi: embed crust-firmware on supported platforms.
    (Closes: #985981)

  [ Vagrant Cascadian ]
  * debian/control: Fix Build-Depends on crust-firmware.
  * debian/targets.mk: Update usbarmory targets for new versions.

  [ Filip Moc ]
  * debian/targets.mk: rockchip: add u-boot-tpl.bin

  [ Vagrant Cascadian ]
  * u-boot-install-rockchip: Allow overriding UBOOT_OFFSET for
    puma-rk3399.
  * u-boot-install-rockchip: Allow overriding the loader offset.
  * [riscv64] u-boot-sifive: Use OpenSBI to build the sifive_unleashed target.
  * [riscv64] u-boot-sifive: Add sifive_unmatched board.
  * [riscv64] u-boot-sifive: Add Built-Using for opensbi.
  * u-boot-sifive: Install unmatched documentation.
  * u-boot-sunxi, u-boot-rockchip: Move arm-trusted-firmware to Suggests.
  * debian/control: Update versioned Build-Depends on arm-trusted-firmware
    to 2.5.

 -- Vagrant Cascadian <vagrant@debian.org>  Sat, 19 Jun 2021 15:11:34 -0700

u-boot (2021.04~rc4+dfsg-1) experimental; urgency=medium

  [ Vagrant Cascadian ]
  * New upstream release candidate.
  * debian/patches: Refresh mx53loco patch.
  * debian/targets: mx53loco: Update to install u-boot-dtb.imx.

  [ Nicolas Boulenguez ]
  * Set CROSS_COMPILE on the Make command line instead of exporting
    (Closes: #980236)
  * Encode the GNU type instead of the Debian arch alias for qemu
    (Closes: #980360)
  * Name the platform list temp file after subpackage instead of subarch
    (Closes: #980362)

