=== board/freescale/imx8ulp_evk/Makefile ===
# SPDX-License-Identifier: GPL-2.0+

obj-y   += imx8ulp_evk.o

ifdef CONFIG_SPL_BUILD
obj-y += spl.o ddr_init.o lpddr4_timing.o
endif
