=== board/synopsys/nsim/Makefile ===
#
# Copyright (C) 2020 Synopsys, Inc. All rights reserved.
#
# SPDX-License-Identifier:	GPL-2.0+
#

obj-y	+= nsim.o
